﻿using System;
using System.Windows.Forms;
using DecryptPwd.Utils;

namespace DecryptPwdGUI
{
    public partial class frmMain : Form
    {
        string[] AppList = { "NavicatCrypto", "TeamViewer", "FileZilla", "WinSCP", "Xmangager", "LoginEvent", "Foxmail" };
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnDecrypt_Click(object sender, EventArgs e)
        {
            string appItem = cmbAppList.SelectedItem.ToString();
            if (appItem == AppList[0])
            {
                tbResult.Text = Filezilla.Decrypt();
            }
            else if (appItem == AppList[1])
            {
                tbResult.Text = Utils.DecryptPwdUtil.TeamViewerDecry();
            }
            else if (appItem == AppList[2])
            {
                tbResult.Text = Utils.DecryptPwdUtil.FileZillaDecry();
            }
            else if (appItem == AppList[3])
            {
                tbResult.Text = Utils.DecryptPwdUtil.WinSCPDecry();
            }
            else if (appItem == AppList[4])
            {
                tbResult.Text = Utils.DecryptPwdUtil.XmangagerDecry();
            }
            else if (appItem == AppList[5])
            {
                tbResult.Text = Utils.DecryptPwdUtil.LoginEventDecry();

            }
            else if (appItem == AppList[6])
            {
                tbResult.Text = Utils.DecryptPwdUtil.FoxmailDecry();
            }
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            foreach (string app in AppList)
            {
                cmbAppList.Items.Add(app);
            }
            cmbAppList.SelectedIndex = 0;
        }
    }
}
